POST /v1/updates
Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time. Unlike /v0/updates, this endpoint returns responses that are consistent across different scan instances. Event ids returned by this endpoint are not comparable to event ids returned by /v0/updates.
Updates are ordered lexicographically by (migration id, record time).
For a given migration id, each update has a unique record time.
The record time ranges of different migrations may overlap, i.e.,
it is not guaranteed that the maximum record time of one migration is smaller than the minimum record time of the next migration,
and there may be two updates with the same record time but different migration ids.
The order of items in events_by_id is not defined.
Body
The maximum number of transactions returned for this request.
The transactions returned will either have a higher migration id or the same migration id and a record_time greater than the migration id and record time specified.
How daml values should be encoded in the response. "compact_json" is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. "protobuf_json" is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to "compact_json".
compact_json, protobuf_json Response
ok
An individual item in the update history. May be a transaction or a contract reassignment.
- Option 1
- Option 2